Subject: Question about LDP Receive Label Request

From: Jin-Hyoung Kim <[email-masked]>
Date: Tue, 03 Sep 2002 11:14:17 +0900

Hi, all.
My name is kim.

I need your help about following question.

At the Appendix of  RFC 3036, LDP Spec., Receive Label Request Procedure is described as below.

I numbered at the position of my doubts.

-----------------------------------------------------------------------------------------
  LRq.9   Perform LSR Label Distribution procedure:

            For Downstream Unsolicited Independent Control OR
            (1)============================================
            For Downstream On Demand Independent Control

               1. Has LSR previously received and retained a label
                  mapping for FEC from Next Hop?.
                  Is so, set Propagating to IsPropagating.
                  If not, set Propagating to NotPropagating.
                  (2) =====================================

               2. Execute procedure
                  Prepare_Label_Mapping_Attributes(MsgSource, FEC,
                  RAttributes, SAttributes, Propagating,
                  StoredHopCount).

               3. Execute procedure Send_Label (MsgSource, FEC,
                  SAttributes).

               4. Is LSR egress for FEC? OR
                  Has LSR previously received and retained a label
                  mapping for FEC from Next Hop?                  (3) ==================================================
                  If so, goto LRq.11.
                  If not, goto LRq.10.

            For Downstream Unsolicited Ordered Control OR
            For Downstream On Demand Ordered Control

               1. Is LSR egress for FEC? OR
                  Has LSR previously received and retained a label
                  mapping for FEC from Next Hop?  (See Note 3.)
                  If not, goto LRq.10.

               2. Execute procedure
                  Prepare_Label_Mapping_Attributes(MsgSource, FEC,
                  RAttributes, SAttributes, IsPropagating,
                  StoredHopCount)

               3. Execute procedure Send_Label (MsgSource, FEC,
                  SAttributes).
                  Goto LRq.11.
-----------------------------------------------------------------------------------------
(1) As I know, "Label Request " is only applicable for DoD. But in this line,            it is mentioned as the message is also applicable for Downstream Unsolicited Independent Control.      Is it right?
(2) What is "Propagating"?      Could you tell me the reason why the algorithm check the state,      "Has LSR previously received and retained a label  mapping for FEC from Next Hop?.",       and set "Propgating" with "IsPropagating" or "NotPropagating"? What does it mean?
(3) As the summary of A.1.1. Recevie Label Request in RFC 3036, the general procedure of Label Request is as follow:      - Transmission of a notification ...........      - Transmission of label mapping .........      - Transmission of label request ..........      - Installation of labels ................
      But, in this procedure, the algorithm checks whether the LSR is egress or the LSR has the labels from the Next Hop.      As far as I think, it looks like that this procedure must be checked before Send_Label procedure or Prepare_Label_Mapping_Attributes.      Why this procedure is performed after Send_Label procedure?      Is is right?
I need your help.!!
Thanks.